/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.jbi.descriptor;

import java.net.URI;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.w3c.dom.Node;

/**
 *
 * @author ofabre
 *
 */
@SuppressWarnings("PMD.UnnecessaryConstructor")
public class UnknownExtension {

    private URI extensionURI;

    private Node node;

    public UnknownExtension() {
        super();
    }

    @Override
    public boolean equals(final Object other) {
        boolean bRet;
        if (other instanceof UnknownExtension) {
            final UnknownExtension castOther = (UnknownExtension) other;
            bRet = new EqualsBuilder().append(this.extensionURI, castOther.extensionURI)
                    .append(this.node, castOther.node).isEquals();
        } else {
            bRet = false;
        }
        
        return bRet;
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder().append(this.extensionURI).append(this.node)
                .toHashCode();
    }

    @Override
    public final String toString() {
        return new ToStringBuilder(this).append("extensionURI", this.extensionURI)
                .append("document", this.node).toString();
    }

    public final URI getExtensionURI() {
        return this.extensionURI;
    }

    public final Node getNode() {
        return this.node;
    }

    public final void setExtensionURI(final URI extensionURI) {
        this.extensionURI = extensionURI;
    }

    public final void setNode(final Node document) {
        this.node = document;
    }

}
